Page MenuHomePhabricator

wikibase:language ignores language codes with a space
Closed, ResolvedPublic

Description

This query did not produce Armenian labels for many items even though they actually exist, only because of the extra space in the language code list. I think the labeling service should be more tolerant, or it should raise an error. Silent ignore is the worst.

SELECT ?item ?itemLabel
WHERE
{
  ?item wdt:P3170 ?heritageId .
  SERVICE wikibase:label { 
    bd:serviceParam wikibase:language "en, hy" .
  }
}

Event Timeline

Yurik created this task.Oct 8 2016, 9:21 PM
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptOct 8 2016, 9:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik updated the task description. (Show Details)Oct 8 2016, 9:22 PM
Smalyshev claimed this task.Oct 8 2016, 9:48 PM
Smalyshev moved this task from Needs triage to WDQS on the Discovery board.Oct 11 2016, 5:23 PM

Change 315852 had a related patch set uploaded (by Smalyshev):
Allow spaces in language list

https://gerrit.wikimedia.org/r/315852

Change 315852 merged by jenkins-bot:
Allow spaces in language list

https://gerrit.wikimedia.org/r/315852

Smalyshev closed this task as Resolved.Oct 17 2016, 6:51 PM